// Application Variables
$darkColor: #333333;
$lightColor: #ecf0f1;

// Global Overrides
body {
  font-family: "Roboto", sans-serif;
  color: $darkColor;
}

a {
  text-decoration: none;
}

img {
  max-width: 15vh;
  max-height: 15vh;
}

// Navigation Bar
.app-title {
  color: $lightColor;
}

// Infinite List
.list-container {
  min-height: 50vh;
  max-height: 75vh;
  overflow: auto;

  .list-item {
    padding: 4rem;
  }
}

// Error
.error {
  background: #f50057;
  border-radius: 2rem;
  color: $lightColor;
  padding: 1rem;

  .error-message {
    color: $lightColor;
  }
}

// Pokemon Detail
.pokemon-detail-container {
  align-items: center;
  display: flex;
  justify-content: center;
  padding: 3rem;

  .pokemon-card-detail {
    min-width: 50vw;
  }
}

// Pokemon Card
.pokemon-card {
  align-items: center;
  display: flex;
  justify-content: space-around;
}

.searchbar-container {
  align-items: center;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  margin: 0.6rem;
  padding: 1rem;

  .MuiChip-root {
    margin: 0.2rem;
  }
}

//Utility
.chips-margin {
  margin: 0.2rem;
}
